/*
 * $Id: VKCDocumentViewField.java,v 1.1 2004/04/29 18:52:21 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: VKCDocumentViewField.java,v $
 * Revision 1.1  2004/04/29 18:52:21  marbobo
 * Initiale Version
 *
 */

package vkc.db.entities;

import java.io.Serializable;

import vkc.util.StringUtils;

public class VKCDocumentViewField implements Serializable {

	private Integer fieldId = new Integer( -1 );
	private String name = "";
	private String nameKey = "";
	private boolean defaulField = false;

	public boolean isDefaulField() {
		return defaulField;
	}

	public Integer getFieldId() {
		return fieldId;
	}

	public String getName() {
		return name;
	}

	public String getNameKey() {
		return nameKey;
	}

	public void setDefaulField( boolean b ) {
		defaulField = b;
	}

	public void setFieldId( Integer integer ) {
		fieldId = integer;
	}

	public void setName( String string ) {
		name = StringUtils.normalize( string );
	}

	public void setNameKey( String string ) {
		nameKey = StringUtils.normalize( string );
	}
}